Subject: Re: [for-next 08/12] net/mlx5e: IPoIB, Use hash-table to map between QPN to child netdev

From: Jason Gunthorpe <jgunthorpe-ePGOBjL8dl3ta4EC/59zMFaTQe2KTcn/@public.gmane.org>
Date: Mon, 23 Oct 2017 09:47:36 -0600

On Sat, Oct 14, 2017 at 11:48:23AM -0700, Saeed Mahameed wrote:
> From: Alex Vesker <valex-VPRAkNaXOzVWk0Htik3J/[email-masked]>
> 
> This change is needed for PKEY support, since the RQs are shared
> between the child interface and the parent. The parent is responsible
> for NAPI and the precessing of RX completions. Using the dqpn in the
> completion descriptor we set the corresponding child IPoIB netdevice
> on the SKB.
> The mapping between the dqpn and the netdevice is done using a HT,
> each mlx5 IPoIB interface registers its mapping on creation.

It seems really really weird to share the receive Q across all of the
children and do the sorting in software.. why is this done like this?

Wouldn't it be better to allow the children to progress concurrently,
potentially on multiple cores? They all have their own QPs after all..

Jason
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html